Bug 979372 - SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'getattr' accesses on the netlink_socket .
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'getattr' accesses ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:90f166df76da9e6ad2cc030662a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 07:02 EDT by sabugiense
Modified: 2013-08-14 22:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:53:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sabugiense 2013-06-28 07:02:04 EDT
Description of problem:
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'getattr' accesses on the netlink_socket .

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If você acredita que o java deva ser permitido acesso de getattr em  netlink_socket  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Objects                 [ netlink_socket ]
Source                        java
Source Path                   /usr/java/jre1.7.0_21/bin/java
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           jre-1.7.0_21-fcs.i586
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-201.fc18.i686.PAE #1 SMP Tue
                              Jun 11 20:23:05 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-06-19 08:22:49 BRT
Last Seen                     2013-06-19 08:22:49 BRT
Local ID                      48f565bf-632f-4829-b878-4975ea80347c

Raw Audit Messages
type=AVC msg=audit(1371640969.374:395): avc:  denied  { getattr } for  pid=2766 comm="java" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=netlink_socket


type=SYSCALL msg=audit(1371640969.374:395): arch=i386 syscall=socketcall success=yes exit=0 a0=6 a1=8d1c38d0 a2=8da0a2a4 a3=8935af8 items=0 ppid=2699 pid=2766 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=java exe=/usr/java/jre1.7.0_21/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,mozilla_plugin_t,netlink_socket,getattr

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t self:netlink_socket getattr;

audit2allow -R
require {
	type mozilla_plugin_t;
	class netlink_socket getattr;
}

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t self:netlink_socket getattr;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.6-200.fc18.i686.PAE
type:           libreport
Comment 1 Daniel Walsh 2013-06-28 07:35:58 EDT
We should probably dontaudit these.
Comment 2 Daniel Walsh 2013-06-28 07:36:38 EDT
Actually we allow this in F19.
Comment 3 Fedora Update System 2013-08-05 01:40:51 EDT
selinux-policy-3.11.1-99.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-99.fc18
Comment 4 Fedora Update System 2013-08-05 20:14:26 EDT
Package selinux-policy-3.11.1-99.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-99.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14256/selinux-policy-3.11.1-99.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-07 07:12:18 EDT
selinux-policy-3.11.1-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-100.fc18
Comment 6 Fedora Update System 2013-08-14 22:53:55 EDT
selinux-policy-3.11.1-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.